onEvent('recipes', event => {
event.shaped('kubejs:darksteel_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:darksteel_nugget'})
event.shaped('9x kubejs:darksteel_nugget', ['   ', ' V ', '   '], {V: 'kubejs:darksteel_ingot'})
event.shaped('9x kubejs:darksteel_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:darksteel_block'})
event.shaped('kubejs:darksteel_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:darksteel_ingot'})
event.shaped('kubejs:energeticalloy_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:energeticalloy_nugget'})
event.shaped('9x kubejs:energeticalloy_nugget', ['   ', ' V ', '   '], {V: 'kubejs:energeticalloy_ingot'})
event.shaped('9x kubejs:energeticalloy_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:energeticalloy_block'})
event.shaped('kubejs:energeticalloy_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:energeticalloy_ingot'})
event.shaped('kubejs:vibrantalloy_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:vibrantalloy_nugget'})
event.shaped('9x kubejs:vibrantalloy_nugget', ['   ', ' V ', '   '], {V: 'kubejs:vibrantalloy_ingot'})
event.shaped('9x kubejs:vibrantalloy_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:vibrantalloy_block'})
event.shaped('kubejs:vibrantalloy_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:vibrantalloy_ingot'})
event.shaped('kubejs:uwuterium_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:uwuterium_nugget'})
event.shaped('9x kubejs:uwuterium_nugget', ['   ', ' V ', '   '], {V: 'kubejs:uwuterium_ingot'})
event.shaped('kubejs:uwuterium_nugget', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:uwuterium_pile'})
event.shaped('9x kubejs:uwuterium_pile', ['   ', ' V ', '   '], {V: 'kubejs:uwuterium_nugget'})
event.shaped('9x kubejs:uwuterium_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:uwuterium_block'})
event.shaped('kubejs:uwuterium_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:uwuterium_ingot'})
event.shaped('9x kubejs:nightsky_redstone', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_redstone_block'})
event.shaped('kubejs:nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_redstone'})
event.shaped('9x kubejs:charged_nightsky_redstone', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_redstone_block'})
event.shaped('kubejs:charged_nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_redstone'})
event.shaped('9x kubejs:charged_nightsky_emerald', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_emerald_block'})
event.shaped('kubejs:charged_nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_emerald'})
event.shaped('9x kubejs:nightsky_emerald', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_emerald_block'})
event.shaped('kubejs:nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_emerald'})
event.shaped('9x kubejs:charged_nightsky_coal', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_coal_block'})
event.shaped('kubejs:charged_nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_coal'})
event.shaped('9x kubejs:nightsky_coal', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_coal_block'})
event.shaped('kubejs:nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_coal'})
event.shaped('9x kubejs:nightsky_iron', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_iron_block'})
event.shaped('kubejs:nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_iron'})
event.shaped('9x kubejs:charged_nightsky_iron', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_iron_block'})
event.shaped('kubejs:charged_nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_iron'})
event.shaped('9x kubejs:charged_nightsky_lapis', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_lapis_block'})
event.shaped('kubejs:charged_nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_lapis'})
event.shaped('9x kubejs:charged_nightsky_diamond', ['   ', 'V  ', '   '], {V: 'kubejs:charged_nightsky_diamond_block'})
event.shaped('kubejs:charged_nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:charged_nightsky_diamond'})
event.shaped('9x kubejs:nightsky_diamond', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_diamond_block'})
event.shaped('kubejs:nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_diamond'})
event.shaped('9x kubejs:nightsky_lapis', ['   ', 'V  ', '   '], {V: 'kubejs:nightsky_lapis_block'})
event.shaped('kubejs:nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:nightsky_lapis'})
event.shaped('kubejs:enderpearl_block', ['VVV', 'VVV', 'VVV'], {V: 'minecraft:ender_pearl'})
event.shaped('kubejs:supreme_endestest_pearl', ['CBD', 'EAF', 'GBH'], {A: 'kubejs:enderpearl_block', B: 'kubejs:uwuterium_pile', C: 'kubejs:charged_nightsky_coal', D: 'kubejs:charged_nightsky_diamond', E: 'kubejs:charged_nightsky_emerald', F: 'kubejs:charged_nightsky_iron', G: 'kubejs:charged_nightsky_lapis', H: 'kubejs:charged_nightsky_redstone'})
event.shaped('kubejs:stellar_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:stellar_nugget'})
event.shaped('9x kubejs:stellar_nugget', ['   ', ' V ', '   '], {V: 'kubejs:stellar_ingot'})
event.shaped('9x kubejs:stellar_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:stellar_block'})
event.shaped('kubejs:stellar_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:stellar_ingot'})
event.shaped('16x kubejs:stellar_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:stellar_ingot'})
event.shaped('kubejs:soularium_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:soularium_nugget'})
event.shaped('9x kubejs:soularium_nugget', ['   ', ' V ', '   '], {V: 'kubejs:soularium_ingot'})
event.shaped('9x kubejs:soularium_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:soularium_block'})
event.shaped('kubejs:soularium_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:soularium_ingot'})
event.shaped('16x kubejs:soularium_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:soularium_ingot'})
event.shaped('kubejs:redstone_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:redstone_nugget'})
event.shaped('9x kubejs:redstone_nugget', ['   ', ' V ', '   '], {V: 'kubejs:redstone_ingot'})
event.shaped('9x kubejs:redstone_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:redstone_alloy_block'})
event.shaped('kubejs:redstone_alloy_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:redstone_ingot'})
event.shaped('16x kubejs:redstone_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:redstone_ingot'})
event.shaped('16x kubejs:signalum_ball', [' V ', 'VVV', ' V '], {V: 'thermal:signalum_ingot'})
event.shaped('kubejs:pulsating_iron_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:pulsating_iron_nugget'})
event.shaped('9x kubejs:pulsating_iron_nugget', ['   ', ' V ', '   '], {V: 'kubejs:pulsating_iron_ingot'})
event.shaped('9x kubejs:pulsating_iron_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:pulsating_iron_block'})
event.shaped('kubejs:pulsating_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:pulsating_iron_ingot'})
event.shaped('16x kubejs:pulsating_iron_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:pulsating_iron_ingot'})
event.shaped('kubejs:melodic_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:melodic_nugget'})
event.shaped('9x kubejs:melodic_nugget', ['   ', ' V ', '   '], {V: 'kubejs:melodic_ingot'})
event.shaped('9x kubejs:melodic_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:melodic_block'})
event.shaped('kubejs:melodic_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:melodic_ingot'})
event.shaped('16x kubejs:melodic_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:melodic_ingot'})
event.shaped('kubejs:energetic_silver_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:energetic_silver_nugget'})
event.shaped('9x kubejs:energetic_silver_nugget', ['   ', ' V ', '   '], {V: 'kubejs:energetic_silver_ingot'})
event.shaped('9x kubejs:energetic_silver_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:energetic_silver_block'})
event.shaped('kubejs:energetic_silver_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:energetic_silver_ingot'})
event.shaped('16x kubejs:energetic_silver_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:energetic_silver_ingot'})
event.shaped('16x kubejs:enderium_ball', [' V ', 'VVV', ' V '], {V: 'thermal:enderium_ingot'})
event.shaped('kubejs:end_steel_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:end_steel_nugget'})
event.shaped('9x kubejs:end_steel_nugget', ['   ', ' V ', '   '], {V: 'kubejs:end_steel_ingot'})
event.shaped('9x kubejs:end_steel_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:end_steel_block'})
event.shaped('kubejs:end_steel_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:end_steel_ingot'})
event.shaped('16x kubejs:end_steel_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:end_steel_ingot'})
event.shaped('kubejs:electrical_steel_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:electrical_steel_nugget'})
event.shaped('9x kubejs:electrical_steel_nugget', ['   ', ' V ', '   '], {V: 'kubejs:electrical_steel_ingot'})
event.shaped('9x kubejs:electrical_steel_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:electrical_steel_block'})
event.shaped('kubejs:electrical_steel_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:electrical_steel_ingot'})
event.shaped('16x kubejs:electrical_steel_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:electrical_steel_ingot'})
event.shaped('kubejs:crystalline_pink_slime_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crystalline_pink_slime_nugget'})
event.shaped('9x kubejs:crystalline_pink_slime_nugget', ['   ', ' V ', '   '], {V: 'kubejs:crystalline_pink_slime_ingot'})
event.shaped('kubejs:crystalline_pink_slime_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crystalline_pink_slime_ingot'})
event.shaped('16x kubejs:crystalline_pink_slime_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:crystalline_pink_slime_ingot'})
event.shaped('kubejs:crystalline_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crystalline_nugget'})
event.shaped('9x kubejs:crystalline_nugget', ['   ', ' V ', '   '], {V: 'kubejs:crystalline_ingot'})
event.shaped('9x kubejs:crystalline_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:crystalline_block'})
event.shaped('kubejs:crystalline_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crystalline_ingot'})
event.shaped('16x kubejs:crystalline_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:crystalline_ingot'})
event.shaped('kubejs:crude_steel_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crude_steel_nugget'})
event.shaped('9x kubejs:crude_steel_nugget', ['   ', ' V ', '   '], {V: 'kubejs:crude_steel_ingot'})
event.shaped('9x kubejs:crude_steel_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:crude_steel_block'})
event.shaped('kubejs:crude_steel_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:crude_steel_ingot'})
event.shaped('kubejs:construction_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:construction_nugget'})
event.shaped('9x kubejs:construction_nugget', ['   ', ' V ', '   '], {V: 'kubejs:construction_ingot'})
event.shaped('9x kubejs:construction_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:construction_block'})
event.shaped('kubejs:construction_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:construction_ingot'})
event.shaped('16x kubejs:construction_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:construction_ingot'})
event.shaped('kubejs:conductive_iron_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:conductive_iron_nugget'})
event.shaped('9x kubejs:conductive_iron_nugget', ['   ', ' V ', '   '], {V: 'kubejs:conductive_iron_ingot'})
event.shaped('9x kubejs:conductive_iron_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:conductive_iron_block'})
event.shaped('kubejs:conductive_iron_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:conductive_iron_ingot'})
event.shaped('16x kubejs:conductive_iron_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:conductive_iron_ingot'})
event.shaped('9x kubejs:crystalline_pink_slime_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:crystalline_pink_slime_block'})
event.shaped('16x kubejs:energetic_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:energeticalloy_ingot'})
event.shaped('16x kubejs:dark_steel_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:darksteel_ingot'})
event.shaped('16x kubejs:vibrant_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:vibrantalloy_ingot'})
event.shaped('16x kubejs:lumium_ball', [' V ', 'VVV', ' V '], {V: '#forge:ingots/lumium'})
event.shaped('16x kubejs:vivid_ball', [' V ', 'VVV', ' V '], {V: 'kubejs:vivid_ingot'})
event.shaped('kubejs:vivid_ingot', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:vivid_nugget'})
event.shaped('9x kubejs:vivid_nugget', ['   ', ' V ', '   '], {V: 'kubejs:vivid_ingot'})
event.shaped('9x kubejs:vivid_ingot', ['   ', 'V  ', '   '], {V: 'kubejs:vivid_block'})
event.shaped('kubejs:vivid_block', ['VVV', 'VVV', 'VVV'], {V: 'kubejs:vivid_ingot'})
event.shaped('kubejs:enderpearl_block', ['VVV', 'VVV', 'VVV'], {V: 'minecraft:ender_pearl'})
event.shaped('kubejs:dust_pyrotheum', ['AA ', 'BC ', '   '], {A: 'minecraft:blaze_powder', B: 'minecraft:redstone', C: 'thermal:sulfur'})
})